defmodule Clacks.Repo.Migrations.MoreBelongsTo do
  use Ecto.Migration

  def change do
    alter table(:notifications) do
      add :referenced_activity_id, references(:activities, type: :uuid)
    end

    alter table(:activities) do
      remove :actor
      add :actor_ap_id, references(:actors, column: :ap_id, type: :string)
    end
  end
end
